package com.css.simulation.resource.scheduler.infra.configuration.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DockerNodeEntity implements Cloneable{
    private String name;
    private String hostname;
    private String username;
    private String password;


    @Override
    public DockerNodeEntity clone() {
        try {
            // TODO: copy mutable state here, so the clone can't change the internals of the original
            return (DockerNodeEntity) super.clone();
        } catch (CloneNotSupportedException e) {
            throw new AssertionError();
        }
    }
}
